Loading...
Searching...
No Matches
experimentalspectrum.cpp File Reference

transform a spectrum to SpecGlob spectra More...

`#include "experimentalspectrum.h"`
`#include <QDebug>`
`#include "../../pappsoexception.h"`
`#include <QObject>`

Go to the source code of this file.

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge
namespace | pappso::specglob

## Detailed Description

transform a spectrum to SpecGlob spectra

Date
  08/11/2023

Author
  Olivier Langella

C++ implementation of the SpecGlob algorithm described in :

1. Prunier, G. et al. Fast alignment of mass spectra in large proteomics datasets, capturing dissimilarities arising from multiple complex modifications of peptides. BMC Bioinformatics 24, 421 (2023).

   HAL Id : hal-04296170 , version 1 Mot de passe : hxo20cl DOI : 10.1186/s12859-023-05555-y

Definition in file experimentalspectrum.cpp.